%{?nodejs_find_provides_and_requires}

%global packagename shebang-command

# tests missing due to missing npm(ava)
%global enable_tests 0

Name:		nodejs-shebang-command
Version:	1.2.0
Release:	1%{?dist}
Summary:	Get the command from a shebang

License:	MIT
URL:		https://github.com/kevva/shebang-command
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/kevva/%{packagename}/v%{version}/test.js

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(shebang-regex)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
%endif

%description
Get the command from a shebang


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep shebang-regex

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license license
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Apr 19 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.0-1
- Initial packaging
